import { Typography } from "@mui/material";
import React, { PropsWithChildren } from "react";

export function SolarEnergyRouteContainer(
  p: {
    label: string;
    actions?: React.ReactElement;
  } & PropsWithChildren
): React.ReactElement {
  return (
    <div style={{ margin: "50px" }}>
      <div
        style={{
          display: "flex",
          justifyContent: "space-between",
          alignItems: "center",
          marginBottom: "20px",
        }}
      >
        <Typography variant="h4">{p.label}</Typography>
        {p.actions ?? <></>}
      </div>

      {p.children}
    </div>
  );
}
