use actix_web::web;

use crate::energy::energy_actor::EnergyActorAddr;

pub mod auth_middleware;
pub mod custom_error;
pub mod devices_api;
pub mod servers;
pub mod unsecure_server;
pub mod web_api;

pub type WebEnergyActor = web::Data<EnergyActorAddr>;
